Abilities

Get an ability

Returns an ability with its effect description, the generation it was introduced, and a list of all Pokémon that can have it (including hidden ability holders).

GET/ability/{name}get-ability

Server

https://pokeapi.co/api/v2

Production (no auth required)

Path Parameters

namestringrequired

The ability's lowercase hyphenated name (e.g. `intimidate`, `speed-boost`) or its numeric ID.

Responses

200The full ability resource.application/json
idintegerrequired

Ability ID.

namestringrequired

Lowercase hyphenated name.

is_main_seriesbooleanrequired

True if this ability appears in a main-series game.

generationobjectrequired

A reference to another API resource by name and URL.

namestringrequired

The resource's lowercase hyphenated name.

urlstring<uri>required

The URL to fetch the full resource.

namesarray<object>
namestring
languageobject

A reference to another API resource by name and URL.

namestringrequired

The resource's lowercase hyphenated name.

urlstring<uri>required

The URL to fetch the full resource.

effect_entriesarray<object>required
effectstring

Full effect description. Use `$effect_chance` as a template token.

short_effectstring

Short version of the effect.

languageobject

A reference to another API resource by name and URL.

namestringrequired

The resource's lowercase hyphenated name.

urlstring<uri>required

The URL to fetch the full resource.

pokemonarray<object>

All Pokémon that can have this ability.

is_hiddenboolean
slotinteger
pokemonobject

A reference to another API resource by name and URL.

namestringrequired

The resource's lowercase hyphenated name.

urlstring<uri>required

The URL to fetch the full resource.

404Ability not found.application/json
curl https://pokeapi.co/api/v2/ability/intimidate
{
  "id": 0,
  "name": "<string>",
  "is_main_series": true,
  "generation": {
    "name": "<string>",
    "url": "https://example.com"
  },
  "names": [
    {
      "name": "<string>",
      "language": {
        "name": "<string>",
        "url": "https://example.com"
      }
    }
  ],
  "effect_entries": [
    {
      "effect": "<string>",
      "short_effect": "<string>",
      "language": {
        "name": "<string>",
        "url": "https://example.com"
      }
    }
  ],
  "pokemon": [
    {
      "is_hidden": true,
      "slot": 0,
      "pokemon": {
        "name": "<string>",
        "url": "https://example.com"
      }
    }
  ]
}